Bug 245774 - (CVE-2007-2876) CVE-2007-2876 {ip, nf}_conntrack_sctp: remotely triggerable NULL ptr dereference
CVE-2007-2876 {ip, nf}_conntrack_sctp: remotely triggerable NULL ptr dereference
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity high
: ---
: ---
Assigned To: Don Howard
Martin Jenner
impact=important,source=kernelsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 13:20 EDT by Marcel Holtmann
Modified: 2016-05-18 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0705
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 05:13:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-06-26 13:20:55 EDT
From Vilmos Nebehaj:

When creating a new connection by sending an unknown chunk type, we don't
transition to a valid state, causing a NULL pointer dereference in sctp_packet
when accessing sctp_timeouts[SCTP_CONNTRACK_NONE].
Comment 1 Don Howard 2007-08-29 15:29:57 EDT
A patch for this issue has been included in build 2.6.18-8.1.9.
Comment 4 Red Hat Bugzilla 2007-09-13 05:13:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0705.html

Note You need to log in before you can comment on or make changes to this bug.